Bug 1451382 (CVE-2017-8929) - CVE-2017-8929 yara: Use-after-free in sized_string_cmp function
Summary: CVE-2017-8929 yara: Use-after-free in sized_string_cmp function
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2017-8929
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1451383 1451384
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-16 14:26 UTC by Andrej Nemec
Modified: 2019-09-29 14:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-23 20:34:04 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-16 14:26:24 UTC
The sized_string_cmp function in libyara/sizedstr.c in YARA 3.5.0 allows attackers to cause a denial of service (use-after-free and application crash) via a crafted rule.

Upstream issue:

https://github.com/VirusTotal/yara/issues/658

Upstream patch:

https://github.com/VirusTotal/yara/commit/053e67e3ec81cc9268ce30eaf0d6663d8639ed1e

Comment 1 Andrej Nemec 2017-05-16 14:26:57 UTC
Created yara tracking bugs for this issue:

Affects: epel-all [bug 1451383]
Affects: fedora-all [bug 1451384]

Comment 2 Michal Ambroz 2018-09-23 20:34:04 UTC
Fixed in yara-3.6.0-1.fc26 yara-3.6.0-1.el7 yara-3.6.0-1.fc24 yara-3.6.0-1.fc25


Note You need to log in before you can comment on or make changes to this bug.